package com.picoinstruments.android.simplecamera;

public interface CameraService {

    /* requests from client to service */
    public static final int REQ_REGISTER_CLIENT = 1;
    public static final int REQ_UNREGISTER_CLIENT = 2;
    public static final int REQ_GET_FRAME = 3;      // arg1 = 1 (start streaming) or 0 (stop streaming)
    public static final int REQ_TAKE_PHOTO = 4;
    public static final int REQ_RECORD_VIDEO = 5;   // arg1 = 1 (start recording), 0: (stop recording)

    /* indications from service to client */
    public static final int IND_VIDEO_STARTED = 1;  // arg1 = 1 (started) or 0 (stopped)
    public static final int IND_GET_FRAME = 2;
    public static final int RSP_TAKE_PHOTO = 3;     // arg1 = error code
    public static final int RSP_RECORD_VIDEO = 4;   // arg1 = error code

    /* error codes to be returned to clients */
    public static final int ERROR_CODE_NONE = 0;
    public static final int ERROR_CODE_UKNOWN_REQUEST = 1;
    public static final int ERROR_CODE_FILE_NOT_FOUND_EXECEPTION = 2;
    public static final int ERROR_CODE_IO_EXECEPTION = 3;
    public static final int ERROR_CODE_VIDEO_ENCODER_BUSY = 4;
    public static final int ERROR_CODE_VIDEO_ENCODER_IO_EXECEPTION = 5;
}
